# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.595   -> 1.596  
#	Documentation/DocBook/kernel-api.tmpl	1.11    -> 1.12   
#	 include/linux/usb.h	1.24    -> 1.25   
#	Documentation/DocBook/Makefile	1.18    -> 1.19   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/08	david-b@pacbell.net	1.596
# USB kerneldoc fixes
# 
# This fixes some kerneldoc bugs for USB.  It catches up with
# the recent rename, and includes a couple minor tweaks/fixes
# I happened to notice.
# --------------------------------------------
#
diff -Nru a/Documentation/DocBook/Makefile b/Documentation/DocBook/Makefile
--- a/Documentation/DocBook/Makefile	Mon Apr  8 15:49:10 2002
+++ b/Documentation/DocBook/Makefile	Mon Apr  8 15:49:10 2002
@@ -104,8 +104,8 @@
 		$(TOPDIR)/sound/sound_firmware.c \
 		$(TOPDIR)/drivers/net/wan/syncppp.c \
 		$(TOPDIR)/drivers/net/wan/z85230.c \
-		$(TOPDIR)/drivers/usb/hcd.c \
-		$(TOPDIR)/drivers/usb/usb.c \
+		$(TOPDIR)/drivers/usb/core/hcd.c \
+		$(TOPDIR)/drivers/usb/core/usb.c \
 		$(TOPDIR)/drivers/video/fbmem.c \
 		$(TOPDIR)/drivers/video/fbcmap.c \
 		$(TOPDIR)/drivers/video/fbcon.c \
diff -Nru a/Documentation/DocBook/kernel-api.tmpl b/Documentation/DocBook/kernel-api.tmpl
--- a/Documentation/DocBook/kernel-api.tmpl	Mon Apr  8 15:49:10 2002
+++ b/Documentation/DocBook/kernel-api.tmpl	Mon Apr  8 15:49:10 2002
@@ -282,7 +282,7 @@
     </sect1>
 
     <sect1><title>USB Core APIs</title>
-!Edrivers/usb/usb.c
+!Edrivers/usb/core/usb.c
     </sect1>
 
     <sect1><title>Host Controller APIs</title>
@@ -290,7 +290,7 @@
     most of which implement standard register interfaces such as
     EHCI, OHCI, or UHCI.
     </para>
-!Edrivers/usb/hcd.c
+!Edrivers/usb/core/hcd.c
     </sect1>
 
   </chapter>
diff -Nru a/include/linux/usb.h b/include/linux/usb.h
--- a/include/linux/usb.h	Mon Apr  8 15:49:10 2002
+++ b/include/linux/usb.h	Mon Apr  8 15:49:10 2002
@@ -471,8 +471,10 @@
 
 /**
  * struct usb_driver - identifies USB driver to usbcore
- * @owner: pointer to the module owner of this driver
- * @name: The driver name should be unique among USB drivers
+ * @owner: Pointer to the module owner of this driver; initialize
+ *	it using THIS_MODULE.
+ * @name: The driver name should be unique among USB drivers,
+ *	and should normally be the same as the module name.
  * @probe: Called to see if the driver is willing to manage a particular
  *	interface on a device.  The probe routine returns a handle that 
  *	will later be provided to disconnect(), or a null pointer to
@@ -507,7 +509,7 @@
  * is used by both user and kernel mode hotplugging support.
  *
  * The probe() and disconnect() methods are called in a context where
- * they can sleep, but they should avoid abusing the privilage.  Most
+ * they can sleep, but they should avoid abusing the privilege.  Most
  * work to connect to a device should be done when the device is opened,
  * and undone at the last close.  The disconnect code needs to address
  * concurrency issues with respect to open() and close() methods, as
